Index: extensions/UserAdvManager/trunk/admin/template/ghosttracker.tpl
===================================================================
--- extensions/UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 12661)
+++ extensions/UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 12666)
@@ -40,5 +40,5 @@
   
   <fieldset>
-    <legend class="cluetip" title="{'UAM_gtTitle'|translate}|{'UAM_gtTitle_d'|translate}">{'UAM_GhostTracker_Title'|@translate}</legend>
+    <legend class="cluetip" title="{'UAM_GhostTracker_Title'|translate}|{'UAM_gtTitle_d'|translate}">{'UAM_GhostTracker_Title'|@translate}</legend>
     {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">
Index: extensions/UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 12661)
+++ extensions/UserAdvManager/trunk/admin/template/global.tpl	(revision 12666)
@@ -65,5 +65,5 @@
 
     <div id="config1_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config1_header', 'Config1')">
-      <span class="cluetip" title="{'UAM_restricTitle'|translate}|{'UAM_restricTitle_d'|translate}">
+      <span class="cluetip" title="{'UAM_Title1'|translate}|{'UAM_restricTitle_d'|translate}">
         {'UAM_Title1'|@translate}
       </span>
@@ -74,5 +74,5 @@
         <ul>
           <li>
-            <label class="cluetip" title="{'UAM_carexcTitle'|translate}|{'UAM_carexcTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_Username_Char'|translate}|{'UAM_carexcTitle_d'|translate}">
               {'UAM_Username_Char'|@translate}
             </label>
@@ -89,5 +89,5 @@
       
           <li>
-            <label class="cluetip" title="{'UAM_passwTitle'|translate}|{'UAM_passwTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_Password_Enforced'|translate}|{'UAM_passwTitle_d'|translate}">
               {'UAM_Password_Enforced'|@translate}
             </label>
@@ -109,5 +109,5 @@
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_passwadmTitle'|translate}|{'UAM_passwadmTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_AdminPassword_Enforced'|translate}|{'UAM_passwadmTitle_d'|translate}">
                 {'UAM_AdminPassword_Enforced'|@translate}
               </label>
@@ -123,5 +123,5 @@
       
           <li>
-            <label class="cluetip" title="{'UAM_mailexcTitle'|translate}|{'UAM_mailexcTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_MailExclusion'|translate}|{'UAM_mailexcTitle_d'|translate}">
               {'UAM_MailExclusion'|@translate}
             </label>
@@ -157,5 +157,5 @@
 
     <div id="config2_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config2_header', 'Config2')">
-      <span class="cluetip" title="{'UAM_confirmTitle'|translate}|{'UAM_confirmTitle_d'|translate}">
+      <span class="cluetip" title="{'UAM_Title2'|translate}|{'UAM_confirmTitle_d'|translate}">
         {'UAM_Title2'|@translate}
       </span>
@@ -166,5 +166,5 @@
         <ul>
           <li>
-            <label class="cluetip" title="{'UAM_infomailTitle'|translate}|{'UAM_infomailTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_Mail_Info'|translate}|{'UAM_infomailTitle_d'|translate}">
               {'UAM_Mail_Info'|@translate}
             </label>
@@ -185,5 +185,5 @@
             <ul>
               <li>
-                <label class="cluetip" title="{'UAM_HidePasswTitle'|translate}|{'UAM_HidePasswTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_HidePassw'|translate}|{'UAM_HidePasswTitle_d'|translate}">
                   {'UAM_HidePassw'|@translate}
                 </label>
@@ -198,5 +198,5 @@
           
               <li>
-                <label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_MailInfo_Text'|translate}|{'UAM_infotxtTitle_d'|translate}">
                   {'UAM_MailInfo_Text'|@translate}
                 </label>
@@ -220,5 +220,5 @@
 
         	<li>
-            <label class="cluetip" title="{'UAM_confirmmailTitle'|translate}|{'UAM_confirmmailTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_Confirm_Mail'|translate}|{'UAM_confirmmailTitle_d'|translate}">
               {'UAM_Confirm_Mail'|@translate}
             </label>
@@ -242,5 +242,5 @@
           <ul>
          	  <li>
-              <label class="cluetip" title="{'UAM_StuffsTitle'|translate}|{'UAM_StuffsTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_Stuffs'|translate}|{'UAM_StuffsTitle_d'|translate}">
                 {'UAM_Stuffs'|@translate}
               </label>
@@ -255,5 +255,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_AdminValidationMail'|translate}|{'UAM_AdminValidationMail_d'|translate}">
+              <label class="cluetip" title="{'UAM_AdminValidationMail_Text'|translate}|{'UAM_AdminValidationMail_d'|translate}">
                 {'UAM_AdminValidationMail_Text'|@translate}
               </label>
@@ -266,5 +266,5 @@
           <ul>
          	  <li>
-              <label class="cluetip" title="{'UAM_adminconfmailTitle'|translate}|{'UAM_adminconfmailTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_AdminConfMail'|translate}|{'UAM_adminconfmailTitle_d'|translate}">
                 {'UAM_AdminConfMail'|@translate}
               </label>
@@ -279,5 +279,5 @@
             
             <li>
-              <label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_ConfirmMail_Text'|translate}|{'UAM_confirmtxtTitle_d'|translate}">
                 {'UAM_ConfirmMail_Text'|@translate}
               </label>
@@ -299,5 +299,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_confirmmail_custom1'|translate}|{'UAM_confirmmail_custom1_d'|translate}">
+              <label class="cluetip" title="{'UAM_confirmmail_custom_Txt1'|translate}|{'UAM_confirmmail_custom1_d'|translate}">
                 {'UAM_confirmmail_custom_Txt1'|@translate}
               </label>
@@ -313,5 +313,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_confirmmail_custom2'|translate}|{'UAM_confirmmail_custom2_d'|translate}">
+              <label class="cluetip" title="{'UAM_confirmmail_custom_Txt2'|translate}|{'UAM_confirmmail_custom2_d'|translate}">
                 {'UAM_confirmmail_custom_Txt2'|@translate}
               </label>
@@ -469,5 +469,5 @@
             <ul>
               <li>
-                <label class="cluetip" title="{'UAM_validationlimitTitle'|translate}|{'UAM_validationlimitTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_ValidationLimit_Info'|translate}|{'UAM_validationlimitTitle_d'|translate}">
                   {'UAM_ValidationLimit_Info'|@translate}
                 </label>
@@ -483,5 +483,5 @@
 
               <li>
-                <label class="cluetip" title="{'UAM_remailTitle'|translate}|{'UAM_remailTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_ConfirmMail_Remail'|translate}|{'UAM_remailTitle_d'|translate}">
                   {'UAM_ConfirmMail_Remail'|@translate}
                 </label>
@@ -546,5 +546,5 @@
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_USRAutoTitle'|translate}|{'UAM_USRAutoTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_USRAuto'|translate}|{'UAM_USRAutoTitle_d'|translate}">
                 {'UAM_USRAuto'|@translate}
               </label>
@@ -560,5 +560,5 @@
             <ul>
               <li>
-                <label class="cluetip" title="{'UAM_USRAutoDelTitle'|translate}|{'UAM_USRAutoDelTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_USRAutoDel'|translate}|{'UAM_USRAutoDelTitle_d'|translate}">
                   {'UAM_USRAutoDel'|@translate}
                 </label>
@@ -574,5 +574,5 @@
 
               <li>
-                <label class="cluetip" title="{'UAM_USRAutoMailTitle'|translate}|{'UAM_USRAutoMailTitle_d'|translate}">
+                <label class="cluetip" title="{'UAM_USRAutoMail'|translate}|{'UAM_USRAutoMailTitle_d'|translate}">
                   {'UAM_USRAutoMail'|@translate}
                 </label>
@@ -606,5 +606,5 @@
 
     <div id="config3_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config3_header', 'Config3')">
-      <span class="cluetip" title="{'UAM_GT_MainTitle'|translate}|{'UAM_GT_MainTitle_d'|translate}">{'UAM_Title3'|@translate}</span>
+      <span class="cluetip" title="{'UAM_Title3'|translate}|{'UAM_GT_MainTitle_d'|translate}">{'UAM_Title3'|@translate}</span>
     </div>
   
@@ -613,5 +613,5 @@
         <ul>
           <li>
-            <label class="cluetip" title="{'UAM_ghosttrackerTitle'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">
+            <label class="cluetip" title="{'UAM_GhostTracker'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">
               {'UAM_GhostTracker'|@translate}
             </label>
@@ -629,5 +629,5 @@
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_GhostTracker_ReminderText'|translate}|{'UAM_gttextTitle_d'|translate}">
                 {'UAM_GhostTracker_ReminderText'|@translate}
               </label>
@@ -645,5 +645,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_GTAutoTitle'|translate}|{'UAM_GTAutoTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_GTAuto'|translate}|{'UAM_GTAutoTitle_d'|translate}">
                 {'UAM_GTAuto'|@translate}
               </label>
@@ -677,5 +677,5 @@
 
                   <li>
-                    <label class="cluetip" title="{'UAM_GTAutoGpTitle'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">
+                    <label class="cluetip" title="{'UAM_GTAutoGp'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">
                       {'UAM_GTAutoGp'|@translate}
                     </label>
@@ -718,5 +718,5 @@
                     <ul>
                       <li>
-                        <label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">
+                        <label class="cluetip" title="{'UAM_GTAutoMail'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">
                           {'UAM_GTAutoMail'|@translate}
                         </label>
@@ -747,5 +747,5 @@
 
     <div id="config5_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('config5_header', 'Config5')">
-      <span class="cluetip" title="{'UAM_miscTitle'|translate}|{'UAM_miscTitle_d'|translate}">{'UAM_Title5'|@translate}</span>
+      <span class="cluetip" title="{'UAM_Title5'|translate}|{'UAM_miscTitle_d'|translate}">{'UAM_Title5'|@translate}</span>
     </div>
   
@@ -760,5 +760,5 @@
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_lastvisitTitle'|translate}|{'UAM_lastvisitTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_LastVisit'|translate}|{'UAM_lastvisitTitle_d'|translate}">
                 {'UAM_LastVisit'|@translate}
               </label>
@@ -773,5 +773,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_RedirTitle'|translate}|{'UAM_RedirTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_RedirToProfile'|translate}|{'UAM_RedirTitle_d'|translate}">
                 {'UAM_RedirToProfile'|@translate}
               </label>
@@ -786,5 +786,5 @@
 
             <li>
-              <label class="cluetip" title="{'UAM_PwdResetTitle'|translate}|{'UAM_PwdResetTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_PwdReset'|translate}|{'UAM_PwdResetTitle_d'|translate}">
                 {'UAM_PwdReset'|@translate}
               </label>
@@ -803,5 +803,5 @@
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_CustomPasswRetrTitle'|translate}|{'UAM_CustomPasswRetrTitle_d'|translate}">
+              <label class="cluetip" title="{'UAM_CustomPasswRetr'|translate}|{'UAM_CustomPasswRetrTitle_d'|translate}">
                 {'UAM_CustomPasswRetr'|@translate}
               </label>
@@ -830,5 +830,5 @@
 <div id="instructionTips" class="instructionBlock" >
   <div id="Backup_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Backup_header', 'Backup')">
-    <span class="cluetip" title="{'UAM_DumpTitle'|translate}|{'UAM_DumpTitle_d'|translate}">{'UAM_DumpTxt'|@translate}</span>
+    <span class="cluetip" title="{'UAM_DumpTxt'|translate}|{'UAM_DumpTitle_d'|translate}">{'UAM_DumpTxt'|@translate}</span>
   </div>
   
@@ -859,5 +859,5 @@
 <div id="instructionTips" class="instructionBlock" >
   <div id="Tips_header" class="instructionBlockHeaderCollapsed" onclick="uam_blockToggleDisplay('Tips_header', 'Tips')">
-    <span class="cluetip" title="{'UAM_tipsTitle'|translate}|{'UAM_tipsTitle_d'|translate}">{'UAM_Title4'|@translate}</span>
+    <span class="cluetip" title="{'UAM_Title4'|translate}|{'UAM_tipsTitle_d'|translate}">{'UAM_Title4'|@translate}</span>
   </div>
   
Index: extensions/UserAdvManager/trunk/admin/template/userlist.tpl
===================================================================
--- extensions/UserAdvManager/trunk/admin/template/userlist.tpl	(revision 12661)
+++ extensions/UserAdvManager/trunk/admin/template/userlist.tpl	(revision 12666)
@@ -44,5 +44,5 @@
 <form method="post" action="" class="general">
   <fieldset>
-  	<legend class="cluetip" title="{'UAM_userlistTitle'|translate}|{'UAM_userlistTitle_d'|translate}">{'UAM_UserList_Title'|@translate}</legend>
+  	<legend class="cluetip" title="{'UAM_UserList_Title'|translate}|{'UAM_userlistTitle_d'|translate}">{'UAM_UserList_Title'|@translate}</legend>
     {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">
Index: extensions/UserAdvManager/trunk/admin/template/usermanager.tpl
===================================================================
--- extensions/UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 12661)
+++ extensions/UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 12666)
@@ -31,5 +31,5 @@
 <form method="post" action="" class="general">
   <fieldset>
-  	<legend class="cluetip" title="{'UAM_usermanTitle'|translate}|{'UAM_usermanTitle_d'|translate}">{'UAM_UserManager_Title'|@translate}</legend>
+  	<legend class="cluetip" title="{'UAM_UserManager_Title'|translate}|{'UAM_usermanTitle_d'|translate}">{'UAM_UserManager_Title'|@translate}</legend>
     {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">