Index: /trunk/admin/themes/clear/theme.css
===================================================================
--- /trunk/admin/themes/clear/theme.css	(revision 12669)
+++ /trunk/admin/themes/clear/theme.css	(revision 12670)
@@ -16,6 +16,9 @@
 */
 /* text color */
-.theme_title { left: 15px; color: #000; text-align: left;}
-body, h3, dt, h2, .throw, .content, label { color:#777; }
+
+body, h3, dt, h2, .throw, .content, label , LEGEND  { 
+	color:#777;
+}
+
 th { color: #888; }
 INPUT, select, textarea { color:#666; background-color: #ccc; }
@@ -29,6 +32,4 @@
 }
 
-legend, h3 { color: #777; }
-h2 { color: #777; }
 
 INPUT[type="text"], INPUT[type="password"], INPUT[type="button"],
@@ -76,5 +77,5 @@
 position:absolute; left:0px; top:0px; z-index: 0;
 background:transparent }
-h3, #imageToolBar a:hover, .content, .throw, .row1 { background-color: #ddd; }
+h3, .content, .throw, .row1 { background-color: #ddd; }
 .row2 { background-color:#eeeeee; }
 #content { background: #f1f1f1; min-height: 467px;}
@@ -132,5 +133,4 @@
 border:0; color:#ccc; font-size:24px; height:30px; margin:0; padding:10px 0 0;
 text-align:center; width:100%; }
-#content.content div.comment a.illustration{ margin-right: 30px;}
 
 /* tabsheets are often used in admin  pages => No specific css files */
@@ -256,6 +256,10 @@
 #helpContent A:hover {border-bottom:1px solid #d54e21;}
 
-#pwgHead, #footer {background-color:#ddd;}
-#pwgHead, #footer {color:#666;}
+#pwgHead, #footer {
+	background-color: #ddd;
+	color: #666;
+}
+
+
 #pwgHead A, #footer A {color:#444;}
 #pwgHead A:hover, #footer A:hover {color:black; border-color:black;}
Index: /trunk/admin/themes/default/print.css
===================================================================
--- /trunk/admin/themes/default/print.css	(revision 12669)
+++ /trunk/admin/themes/default/print.css	(revision 12670)
@@ -1,4 +1,4 @@
 #menubar, .content .navigationBar, UL.categoryActions, 
-#imageToolBar, .navThumb, #addComment {
+.navThumb, #addComment {
     display: none;
 }
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 12669)
+++ /trunk/admin/themes/default/theme.css	(revision 12670)
@@ -16,6 +16,11 @@
 .content div.comment { margin: 0 0 0.5em 0; padding: 0;
   overflow: hidden; width: 100%;	/* don't ask why. It's a very usefull trick  */ }
-.content div.comment a.illustration {
-  display: block; float: left; margin: 0.5em 0 0 0.5em; }
+
+.content DIV.comment A.illustration {
+	display: block;
+	float: left;
+	margin: 0.5em 30px 0 0.5em;
+}
+
 .content div.comment p.commentHeader {
   text-align: right; margin: 0.5em 0.5em 0 0; }
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 12669)
+++ /trunk/admin/themes/roma/theme.css	(revision 12670)
@@ -16,5 +16,8 @@
 */
 /* text color */
-body, h3, dt, h2, .throw, .content, label { color:#666; }
+body, h3, dt, .throw, .content, label, LEGEND {
+	color:#666;
+}
+
 INPUT, select, textarea { color:#999; background-color: #444; }
 option[disabled] { background-color: #999; color: #444; }
@@ -23,5 +26,5 @@
 { color:#999; background-color: #eee; }  */
 INPUT[type="submit"], INPUT[type="reset"]  { color:#999; border: 1px solid #666; background-color: #444; padding: 1px 15px; }
-legend, h3 { color: #666; }
+
 h2 { color: #ccc; }
 
@@ -43,5 +46,5 @@
 position:absolute; left:0px; top:0px; z-index: 0;
 }
-h3, #imageToolBar a:hover, .row2, .content { background-color: #222; }
+h3, .row2, .content { background-color: #222; }
 .throw, .row1 { background-color:#111; }
 .throw em { font-style: normal; color: #ff3363; }
@@ -105,5 +108,5 @@
 border:0; color:#333; font-size:24px; height:30px; margin:0; padding:10px 0 0;
 text-align:center; width:100%; }
-#content.content div.comment a.illustration{ margin-right: 30px;}
+
 /* tabsheets are often used in admin  pages => No specific css files */
 #tabsheet { width:auto; margin:-1px; margin-right:-6px; padding:0;
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 12669)
+++ /trunk/include/functions_user.inc.php	(revision 12670)
@@ -931,8 +931,5 @@
   foreach (array_keys(get_pwg_themes()) as $theme_id)
   {
-    if (check_theme_installed($theme_id))
-    {
-      return $theme_id;
-    }
+    return $theme_id;
   }
 }
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 12669)
+++ /trunk/themes/default/theme.css	(revision 12670)
@@ -311,5 +311,4 @@
 	padding-top: 2px;
 	padding-bottom: 2px;
-	margin-top: 4px;
 	overflow: hidden;
 	width: 100%;