Index: /trunk/language/af_ZA/common.lang.php
===================================================================
--- /trunk/language/af_ZA/common.lang.php	(revision 12681)
+++ /trunk/language/af_ZA/common.lang.php	(revision 12682)
@@ -300,5 +300,4 @@
 $lang['please enter your password again'] = "Sleutel jou wagwoord weer in";
 $lang['Auto login'] = 'Automatiese aanteken';
-$lang['wrong filename'] = 'verkeerde lêernaam';
 $lang['Contact'] = "Kontak";
 $lang['set as album representative'] = "Stel as album verteenwoordiger";
@@ -318,5 +317,4 @@
 $lang['today'] = "vandag";
 $lang['Update your rating'] = "Dateer u gradering op";
-$lang['wrong filename'] = "Verkeerde lêernaam";
 $lang['the username must be given'] = "die gebruikersnaam word vereis";
 $lang['useful when password forgotten'] = "handig indien wagwoord vergeet is";
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 12681)
+++ /trunk/language/ar_SA/common.lang.php	(revision 12682)
@@ -289,5 +289,4 @@
 $lang['today'] = 'اليوم';
 $lang['Update your rating'] = 'تحديث تقييمك';
-$lang['wrong filename'] = 'اسم الملف غير صحيح';
 $lang['the username must be given'] = 'اسم المستخدم ضروري';
 $lang['useful when password forgotten'] = ' ضرورية في حال نسيانك كلمة المرور';
Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 12681)
+++ /trunk/language/bg_BG/common.lang.php	(revision 12682)
@@ -116,5 +116,4 @@
 $lang['today'] = 'днес';
 $lang['Update your rating'] = 'Обновете Вашето гласуване';
-$lang['wrong filename'] = 'грешено име на файла';
 $lang['the username must be given'] = 'потребителското име е задължително';
 $lang['useful when password forgotten'] = 'полезно в случай на забравена парола';
Index: /trunk/language/ca_ES/common.lang.php
===================================================================
--- /trunk/language/ca_ES/common.lang.php	(revision 12681)
+++ /trunk/language/ca_ES/common.lang.php	(revision 12682)
@@ -285,5 +285,4 @@
 $lang['today'] = 'avui';
 $lang['Update your rating'] = 'Actualitzeu les vostres valoracions';
-$lang['wrong filename'] = 'nom del fitxer erroni';
 $lang['Author'] = 'Autor';
 $lang['the username must be given'] = 's\'ha d\'indicar el nom d\'usuari';
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 12681)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 12682)
@@ -291,5 +291,4 @@
 $lang['today'] = 'dnes';
 $lang['Update your rating'] = 'Aktualizovat hodnocení';
-$lang['wrong filename'] = 'chybný název souboru';
 $lang['the username must be given'] = 'Je nutné zadat uživatelské jméno';
 $lang['useful when password forgotten'] = 'užitečné při zapomenutí hesla';
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 12681)
+++ /trunk/language/da_DK/common.lang.php	(revision 12682)
@@ -287,5 +287,4 @@
 $lang['today'] = 'i dag';
 $lang['Update your rating'] = 'Opdater din bedømmelse';
-$lang['wrong filename'] = 'forket filnavn';
 $lang['the username must be given'] = 'brugernavn skal være angivet';
 $lang['useful when password forgotten'] = 'nyttigt ved glemt password';
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 12681)
+++ /trunk/language/de_DE/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = 'heute';
 $lang['Update your rating'] = 'Aktualisieren Sie Ihre Bewertung';
-$lang['wrong filename'] = 'ungültiger Dateiname';
 $lang['the username must be given'] = 'Benutzername fehlt';
 $lang['useful when password forgotten'] = 'nützlich, wenn Sie ihr Passwort vergessen';
Index: /trunk/language/el_GR/common.lang.php
===================================================================
--- /trunk/language/el_GR/common.lang.php	(revision 12681)
+++ /trunk/language/el_GR/common.lang.php	(revision 12682)
@@ -160,5 +160,4 @@
 $lang['today'] = 'σήμερα';
 $lang['Update your rating'] = 'Αλλάξτε τη βαθμολογία σας';
-$lang['wrong filename'] = 'λάθος όνομα αρχείου';
 $lang['the username must be given'] = 'το όνομα χρήστη είναι απαραίτητο';
 $lang['Edit a comment'] = 'Επεξεργασία σχολίου';
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 12681)
+++ /trunk/language/en_UK/admin.lang.php	(revision 12682)
@@ -176,5 +176,5 @@
 $lang['Average rate'] = "Average rate";
 $lang['average time'] = "average time";
-$lang['Batch management'] = "Batch management";
+$lang['Batch management'] = "Batch management"; //TO delete
 $lang['Batch Manager'] = 'Batch Manager';
 $lang['between'] = "between";
@@ -202,5 +202,5 @@
 $lang['clean'] = "clean up";
 $lang['Comments for all'] = "Comments for all";
-$lang['Comments'] = "Comments";
+$lang['Comments'] = "Comments"; //To delete - in common
 $lang['Complementary mail content'] = "Complementary mail content";
 $lang['Configuration'] = "Configuration";
@@ -267,5 +267,5 @@
 $lang['Drag to re-order'] = "Click-and-drag to re-order";
 $lang['Drop into album'] = 'Select an album';
-$lang['Dump Database'] = 'Dump Database';
+$lang['Dump Database'] = 'Dump Database'; //TO delete
 $lang['duplicates'] = 'duplicates';
 $lang['Edit album permissions'] = "Edit album permissions";
@@ -760,7 +760,7 @@
 $lang['Type in a search term'] = "Type in a search term";
 $lang['Unable to check for upgrade.'] = "Unable to check for upgrade.";
-$lang['Unable to dump database.'] = 'Unable to dump database.';
-$lang['Unable to send template directory.'] = 'Unable to send template directory.';
-$lang['Unable to write new local directory.'] = 'Unable to write new local directory.';
+$lang['Unable to dump database.'] = 'Unable to dump database.'; //TO delete
+$lang['Unable to send template directory.'] = 'Unable to send template directory.'; //TO delete
+$lang['Unable to write new local directory.'] = 'Unable to write new local directory.'; //TO delete
 $lang['Uncheck all'] = "Uncheck all";
 $lang['Uninstall'] = "Uninstall";
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 12681)
+++ /trunk/language/en_UK/common.lang.php	(revision 12682)
@@ -357,5 +357,4 @@
 $lang['Welcome'] = 'Welcome';
 $lang['wrong date'] = "wrong date";
-$lang['wrong filename'] = "wrong filename";
 $lang['Yes'] = "Yes";
 $lang['You are not authorized to access the requested page'] = "You are not authorized to access the requested page";
Index: /trunk/language/es_AR/common.lang.php
===================================================================
--- /trunk/language/es_AR/common.lang.php	(revision 12681)
+++ /trunk/language/es_AR/common.lang.php	(revision 12682)
@@ -290,5 +290,4 @@
 $lang['today'] = 'hoy';
 $lang['Update your rating'] = 'Actualizar su calificación';
-$lang['wrong filename'] = 'nombre de carpeta incorrecto';
 $lang['the username must be given'] = 'falta el nombre de usuario';
 $lang['useful when password forgotten'] = 'útil en caso de contraseña olvidada';
Index: /trunk/language/es_ES/common.lang.php
===================================================================
--- /trunk/language/es_ES/common.lang.php	(revision 12681)
+++ /trunk/language/es_ES/common.lang.php	(revision 12682)
@@ -285,5 +285,4 @@
 $lang['today'] = 'hoy';
 $lang['Update your rating'] = 'Actualizar la valoración';
-$lang['wrong filename'] = 'Nombre de directorio incorrecto';
 $lang['the username must be given'] = 'Indique el nombre de usuario';
 $lang['useful when password forgotten'] = 'Útil en caso de que olvideis la contraseña';
Index: /trunk/language/fa_IR/common.lang.php
===================================================================
--- /trunk/language/fa_IR/common.lang.php	(revision 12681)
+++ /trunk/language/fa_IR/common.lang.php	(revision 12682)
@@ -282,5 +282,4 @@
 $lang['today'] = "امروز";
 $lang['Update your rating'] = "بروزرسانی امتیاز";
-$lang['wrong filename'] = "نام‌فایل استباه است";
 $lang['the username must be given'] = "نام کاربری ضرور است";
 $lang['useful when password forgotten'] = "قابل استفاده برای گذرواژه فراموش شده";
Index: /trunk/language/fr_CA/common.lang.php
===================================================================
--- /trunk/language/fr_CA/common.lang.php	(revision 12681)
+++ /trunk/language/fr_CA/common.lang.php	(revision 12682)
@@ -287,5 +287,4 @@
 $lang['today'] = 'aujourd\'hui';
 $lang['Update your rating'] = 'Mettre à jour votre note';
-$lang['wrong filename'] = 'mauvais nom de fichier';
 $lang['Author'] = 'Auteur';
 $lang['the username must be given'] = 'le nom d\'utilisateur doit être indiqué';
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 12681)
+++ /trunk/language/fr_FR/common.lang.php	(revision 12682)
@@ -357,5 +357,4 @@
 $lang['Welcome'] = 'Bienvenue';
 $lang['wrong date'] = 'date erronée';
-$lang['wrong filename'] = 'mauvais nom de fichier';
 $lang['Yes'] = 'Oui';
 $lang['You are not authorized to access the requested page'] = 'Vous n\'êtes pas autorisé à accéder à la page demandée';
Index: /trunk/language/he_IL/common.lang.php
===================================================================
--- /trunk/language/he_IL/common.lang.php	(revision 12681)
+++ /trunk/language/he_IL/common.lang.php	(revision 12682)
@@ -283,5 +283,4 @@
 $lang['today'] = "היום";
 $lang['Update your rating'] = "עדכן את הדירוג שלך";
-$lang['wrong filename'] = "שם קובץ שגוי";
 $lang['the username must be given'] = "דרוש שם משתמש";
 $lang['useful when password forgotten'] = "שימושי במקרה ששכחת את הסיסמה";
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 12681)
+++ /trunk/language/hr_HR/common.lang.php	(revision 12682)
@@ -286,5 +286,4 @@
 $lang['today'] = 'danas';
 $lang['Update your rating'] = 'Obnovite svoju ocjenu';
-$lang['wrong filename'] = 'krivi naziv zapisa';
 $lang['the username must be given'] = 'mora se upisati korisničko ime';
 $lang['useful when password forgotten'] = 'korisno kada se zaboravi zaporka';
Index: /trunk/language/hu_HU/common.lang.php
===================================================================
--- /trunk/language/hu_HU/common.lang.php	(revision 12681)
+++ /trunk/language/hu_HU/common.lang.php	(revision 12682)
@@ -288,5 +288,4 @@
 $lang['today'] = 'Mai';
 $lang['Update your rating'] = 'Értékelés frissítése';
-$lang['wrong filename'] = 'Hibás a fájlnév';
 $lang['the username must be given'] = 'Felhasználói nevet meg kell adni';
 $lang['useful when password forgotten'] = 'hasznos, ha elfelejti a jelszavát';
Index: /trunk/language/is_IS/common.lang.php
===================================================================
--- /trunk/language/is_IS/common.lang.php	(revision 12681)
+++ /trunk/language/is_IS/common.lang.php	(revision 12682)
@@ -287,5 +287,4 @@
 $lang['today'] = 'í dag';
 $lang['Update your rating'] = 'uppfæra einkunn þína';
-$lang['wrong filename'] = 'vitlaust skáarnafn';
 $lang['the username must be given'] = 'notendanafnins er krafist';
 $lang['useful when password forgotten'] = 'gagnlegt ef lykilorð gleymist';
Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 12681)
+++ /trunk/language/it_IT/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = 'Oggi';
 $lang['Update your rating'] = 'Aggiorna il tuo voto';
-$lang['wrong filename'] = 'nome della directory errata';
 $lang['the username must be given'] = 'nome utente obbligatorio';
 $lang['useful when password forgotten'] = 'utile se si dimentica la password';
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 12681)
+++ /trunk/language/ja_JP/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = '今日';
 $lang['Update your rating'] = 'あなたの評価を更新する';
-$lang['wrong filename'] = 'ファイル名が正しくありません。';
 $lang['the username must be given'] = 'ユーザ名を入力してください。';
 $lang['useful when password forgotten'] = 'パスワードを忘れたときに便利です。';
Index: /trunk/language/ka_GE/common.lang.php
===================================================================
--- /trunk/language/ka_GE/common.lang.php	(revision 12681)
+++ /trunk/language/ka_GE/common.lang.php	(revision 12682)
@@ -287,5 +287,4 @@
 $lang['today'] = 'დღეს';
 $lang['Update your rating'] = 'განვაახლოთ შეფასება';
-$lang['wrong filename'] = 'ფაილის არასწორი სახელი';
 $lang['Author'] = 'ავტორი';
 $lang['the username must be given'] = 'მომხმარებლის სახელი უნდა არსებობდეს';
Index: /trunk/language/km_KH/common.lang.php
===================================================================
--- /trunk/language/km_KH/common.lang.php	(revision 12681)
+++ /trunk/language/km_KH/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = 'ថ្ងៃ​នេះ';
 $lang['Update your rating'] = 'កែ​សំរួល​ជាថ្មី​លើ​ការ​វាយ​តម្លៃ​របស់​អ្នក​';
-$lang['wrong filename'] = 'ឈ្មោះ​ឯកសារ​ខុស​';
 $lang['the username must be given'] = 'ឈ្មោះ​សំរាប់​ប្រើ​ប្រាស់​ តម្រូវ​ឲ្យ​ដាក់​';
 $lang['useful when password forgotten'] = 'សំរាប់​ប្រើ​ក្នុង​ករណី​​ភ្លេច​អក្សរ​សម្ងាត់​';
Index: /trunk/language/lv_LV/common.lang.php
===================================================================
--- /trunk/language/lv_LV/common.lang.php	(revision 12681)
+++ /trunk/language/lv_LV/common.lang.php	(revision 12682)
@@ -285,5 +285,4 @@
 $lang['today'] = "špdien";
 $lang['Update your rating'] = "Atjaunojiet savu vērtējumu";
-$lang['wrong filename'] = "nepareizs faila vārds";
 $lang['the username must be given'] = "nepieciešams lietotāja vārds";
 $lang['useful when password forgotten'] = "derīgi, ja aizmirsta parole";
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 12681)
+++ /trunk/language/mk_MK/common.lang.php	(revision 12682)
@@ -299,5 +299,4 @@
 $lang['today'] = 'денес';
 $lang['Update your rating'] = 'Обнови ја твојата оценка';
-$lang['wrong filename'] = 'погрешно име на датотека';
 $lang['the username must be given'] = 'корисничкото име мора да биде наведено';
 $lang['useful when password forgotten'] = 'Внесете постоечка и валидна e-mail адреса';
Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 12681)
+++ /trunk/language/nl_NL/common.lang.php	(revision 12682)
@@ -287,5 +287,4 @@
 $lang['today'] = 'vandaag';
 $lang['Update your rating'] = 'Werk uw waardering bij';
-$lang['wrong filename'] = 'verkeerde bestandsnaam';
 $lang['the username must be given'] = 'de gebruikersnaam moet ingevuld zijn';
 $lang['useful when password forgotten'] = 'handig indien u uw wachtwoord bent vergeten';
Index: /trunk/language/no_NO/common.lang.php
===================================================================
--- /trunk/language/no_NO/common.lang.php	(revision 12681)
+++ /trunk/language/no_NO/common.lang.php	(revision 12682)
@@ -325,5 +325,4 @@
 $lang['today'] = 'i dag';
 $lang['Update your rating'] = 'Oppdater din rating';
-$lang['wrong filename'] = 'galt filnavn';
 $lang['the username must be given'] = 'brukernavn kreves';
 $lang['Album: %s'] = 'Album: %s';
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 12681)
+++ /trunk/language/pl_PL/common.lang.php	(revision 12682)
@@ -288,5 +288,4 @@
 $lang['today'] = 'dzisiaj';
 $lang['Update your rating'] = 'Aktualizuj Twoją ocenę';
-$lang['wrong filename'] = 'zła nazwa pliku';
 $lang['the username must be given'] = 'nazwa użytkownika musi być podana';
 $lang['useful when password forgotten'] = 'przydatne gdy zostanie zapomniane hasło';
Index: /trunk/language/pt_BR/common.lang.php
===================================================================
--- /trunk/language/pt_BR/common.lang.php	(revision 12681)
+++ /trunk/language/pt_BR/common.lang.php	(revision 12682)
@@ -286,5 +286,4 @@
 $lang['today'] = 'hoje';
 $lang['Update your rating'] = 'atualizar nota';
-$lang['wrong filename'] = 'nome de diretório errado';
 $lang['the username must be given'] = 'Entre com o nome de usuário';
 $lang['useful when password forgotten'] = 'útil em caso de senha esquecida';
Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 12681)
+++ /trunk/language/pt_PT/common.lang.php	(revision 12682)
@@ -286,5 +286,4 @@
 $lang['today'] = 'hoje';
 $lang['Update your rating'] = 'Actualizar a sua classificação';
-$lang['wrong filename'] = 'nome de ficheiro errado';
 $lang['the username must be given'] = 'Deverá introduzir um nome de utilizador';
 $lang['useful when password forgotten'] = 'útil em caso de esquecer a palavra-passe';
Index: /trunk/language/ro_RO/common.lang.php
===================================================================
--- /trunk/language/ro_RO/common.lang.php	(revision 12681)
+++ /trunk/language/ro_RO/common.lang.php	(revision 12682)
@@ -275,5 +275,4 @@
 $lang['today'] = 'azi';
 $lang['Update your rating'] = 'Actualizaţi evaluarea dvs.';
-$lang['wrong filename'] = 'nume de fişier incorect';
 $lang['the username must be given'] = 'numele utilizatorului trebuie să fie specificat';
 $lang['useful when password forgotten'] = 'utilă în cazul în care uitaţi parola';
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 12681)
+++ /trunk/language/ru_RU/common.lang.php	(revision 12682)
@@ -285,5 +285,4 @@
 $lang['today'] = 'сегодня';
 $lang['Update your rating'] = 'Обновить оценку';
-$lang['wrong filename'] = 'неверное имя файла';
 $lang['the username must be given'] = 'должно присутствовать имя пользователя';
 $lang['useful when password forgotten'] = 'для восстановления потерянного пароля';
Index: /trunk/language/sh_RS/common.lang.php
===================================================================
--- /trunk/language/sh_RS/common.lang.php	(revision 12681)
+++ /trunk/language/sh_RS/common.lang.php	(revision 12682)
@@ -289,5 +289,4 @@
 $lang['today'] = 'danas';
 $lang['Update your rating'] = 'Obnovite svoju ocenu';
-$lang['wrong filename'] = 'pogrešan naziv datoteke';
 $lang['the username must be given'] = 'mora se upisati korisničko ime';
 $lang['useful when password forgotten'] = 'korisno kada se zaboravi lozinka';
Index: /trunk/language/sk_SK/common.lang.php
===================================================================
--- /trunk/language/sk_SK/common.lang.php	(revision 12681)
+++ /trunk/language/sk_SK/common.lang.php	(revision 12682)
@@ -291,5 +291,4 @@
 $lang['today'] = 'dnes';
 $lang['Update your rating'] = 'Aktualizovať hodnotenie';
-$lang['wrong filename'] = 'chybný názov súboru';
 $lang['the username must be given'] = 'je nutné zadať používateľské meno';
 $lang['useful when password forgotten'] = 'užitočné pri zabudnutí hesla';
Index: /trunk/language/sl_SL/common.lang.php
===================================================================
--- /trunk/language/sl_SL/common.lang.php	(revision 12681)
+++ /trunk/language/sl_SL/common.lang.php	(revision 12682)
@@ -266,5 +266,4 @@
 $lang['today'] = 'danes';
 $lang['Update your rating'] = 'Popravi svojo oceno';
-$lang['wrong filename'] = 'napačno ime datoteke';
 $lang['the username must be given'] = 'potrebno je uporabniško ime';
 $lang['useful when password forgotten'] = 'uporabno, v primeru izgubljenega gesla';
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 12681)
+++ /trunk/language/sr_RS/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = 'данас';
 $lang['Update your rating'] = 'Обновите своју оцену';
-$lang['wrong filename'] = 'погрешан назив датотеке';
 $lang['the username must be given'] = 'мора се уписати корисничко име';
 $lang['useful when password forgotten'] = 'корисно када се заборави лозинка';
Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 12681)
+++ /trunk/language/sv_SE/common.lang.php	(revision 12682)
@@ -326,5 +326,4 @@
 $lang['today'] = 'idag';
 $lang['Update your rating'] = 'Ändra ditt betyg';
-$lang['wrong filename'] = 'fel filnamn';
 $lang['the username must be given'] = 'användarnamn krävs';
 $lang['Edit a comment'] = 'Redigera ett inlägg';
Index: /trunk/language/th_TH/common.lang.php
===================================================================
--- /trunk/language/th_TH/common.lang.php	(revision 12681)
+++ /trunk/language/th_TH/common.lang.php	(revision 12682)
@@ -263,5 +263,4 @@
 $lang['today'] = 'วันนี้';
 $lang['Update your rating'] = 'อัพเดตคะแนนนิยม';
-$lang['wrong filename'] = 'ชื่อไฟล์ไม่ถูกต้อง';
 $lang['the username must be given'] = 'จำเป็นต้องกรอกชื่อผู้ใช้';
 $lang['useful when password forgotten'] = 'ใช้ในกรณีที่ลืมรหัสผ่าน';
Index: /trunk/language/tr_TR/common.lang.php
===================================================================
--- /trunk/language/tr_TR/common.lang.php	(revision 12681)
+++ /trunk/language/tr_TR/common.lang.php	(revision 12682)
@@ -331,5 +331,4 @@
 $lang['A comment on your site'] = 'sitenize yorum yapıldı';
 $lang['Update your rating'] = 'puanlamayı güncelle';
-$lang['wrong filename'] = 'yanlış dosya adı';
 $lang['the username must be given'] = 'kullanıcı adı gerekmektedir';
 $lang['today'] = 'bugün';
Index: /trunk/language/uk_UA/common.lang.php
===================================================================
--- /trunk/language/uk_UA/common.lang.php	(revision 12681)
+++ /trunk/language/uk_UA/common.lang.php	(revision 12682)
@@ -315,5 +315,4 @@
 $lang['today'] = 'сьогодні';
 $lang['Update your rating'] = 'Оновити вай рейтинг';
-$lang['wrong filename'] = "невірне ім'я файлу";
 $lang['the username must be given'] = "необхідно ім'я користувача";
 $lang['Album: %s'] = 'Альбом: %s';
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 12681)
+++ /trunk/language/vi_VN/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = 'hôm nay';
 $lang['Update your rating'] = 'Cập nhật xếp hạng của bạn';
-$lang['wrong filename'] = 'Sai tên';
 $lang['the username must be given'] = 'Phải có tên của thành viên';
 $lang['useful when password forgotten'] = 'có ích khi bị mất mật khẩu';
Index: /trunk/language/zh_CN/common.lang.php
===================================================================
--- /trunk/language/zh_CN/common.lang.php	(revision 12681)
+++ /trunk/language/zh_CN/common.lang.php	(revision 12682)
@@ -285,5 +285,4 @@
 $lang['Rating score'] = '分数';
 $lang['Update your rating'] = '更改投票';
-$lang['wrong filename'] = '文件夹名不合法';
 $lang['the username must be given'] = '缺少用户名';
 $lang['useful when password forgotten'] = '忘记密码';
Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 12681)
+++ /trunk/language/zh_TW/common.lang.php	(revision 12682)
@@ -284,5 +284,4 @@
 $lang['today'] = '今天';
 $lang['Update your rating'] = '更改投票';
-$lang['wrong filename'] = '文件夾名不合法';
 $lang['the username must be given'] = '缺少用戶名';
 $lang['useful when password forgotten'] = '忘記密碼';