Index: /extensions/AddInfousers/language/cs_CZ/description.txt
===================================================================
--- /extensions/AddInfousers/language/cs_CZ/description.txt	(revision 12685)
+++ /extensions/AddInfousers/language/cs_CZ/description.txt	(revision 12685)
@@ -0,0 +1,1 @@
+Přidá 7 údajů do uživatelského profilu
Index: /extensions/AddInfousers/language/cs_CZ/index.php
===================================================================
--- /extensions/AddInfousers/language/cs_CZ/index.php	(revision 12685)
+++ /extensions/AddInfousers/language/cs_CZ/index.php	(revision 12685)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/cs_CZ/plugin.lang.php	(revision 12685)
+++ /extensions/AddInfousers/language/cs_CZ/plugin.lang.php	(revision 12685)
@@ -0,0 +1,42 @@
+<?php
+//ADMIN
+$lang['addinfousers_h2'] = 'Správa doplňujících informací o uživatelích';
+
+$lang['addinfousers_complete'] = 'Doplňující informace';
+
+//onglet explication
+$lang['addinfousers_explication'] = 'Prezentace';
+$lang['addinfousers_explication_help'] = 'Tento doplňek umožňuje přidat 7 údajů pro registraci a do uživatelských profilů';
+$lang['addinfousers_explication_update_non'] = 'Náhrada za Jméno, ..., INFO6, INFO7';
+$lang['addinfousers_explication_update_non_help'] = 'Pro toto, byste měli dodat do Vašeho jazykového souboru:<br>
+$lang[\'addinfousers_info1\'] = \'název který chcete pro info1\'; <br>
+$lang[\'addinfousers_info2\'] = \'název který chcete pro info2\'; <br>
+$lang[\'addinfousers_info3\'] = \'název který chcete pro info3\'; <br>
+$lang[\'addinfousers_info4\'] = \'název který chcete pro info4\'; <br>
+$lang[\'addinfousers_info5\'] = \'název který chcete pro info5\'; <br>
+$lang[\'addinfousers_info6\'] = \'název který chcete pro info6\'; <br>
+$lang[\'addinfousers_info7\'] = \'název který chcete pro info17\'; <br>
+';
+
+$lang['addinfousers_explication_cache_info'] = 'Schovat info, které není použito';
+$lang['addinfousers_explication_cache_info_help'] = 'Můžete schovat toto
+info pomocí přidání následujícího do CSS souboru:<br>
+skrytí info 1 : #addinfouser_1 {display:none} <br>
+skrytí info 2 : #addinfouser_2 {display:none} <br>
+skrytí info 3 : #addinfouser_3 {display:none} <br>
+skrytí info 4 : #addinfouser_4 {display:none} <br>
+skrytí info 5 : #addinfouser_5 {display:none} <br>
+skrytí info 6 : #addinfouser_6 {display:none} <br>
+skrytí info 7 : #addinfouser_7 {display:none} <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfousers_info1'] = 'Jméno';
+$lang['addinfousers_info2'] = 'Křestní jména';
+$lang['addinfousers_info3'] = 'Adresa';
+$lang['addinfousers_info4'] = 'Země';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+
+?>