Index: /extensions/AddInfousers/language/sv_SE/description.txt
===================================================================
--- /extensions/AddInfousers/language/sv_SE/description.txt	(revision 12686)
+++ /extensions/AddInfousers/language/sv_SE/description.txt	(revision 12686)
@@ -0,0 +1,1 @@
+Lägger till 7 informationselement i användarprofilen
Index: /extensions/AddInfousers/language/sv_SE/index.php
===================================================================
--- /extensions/AddInfousers/language/sv_SE/index.php	(revision 12686)
+++ /extensions/AddInfousers/language/sv_SE/index.php	(revision 12686)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AddInfousers/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/AddInfousers/language/sv_SE/plugin.lang.php	(revision 12686)
+++ /extensions/AddInfousers/language/sv_SE/plugin.lang.php	(revision 12686)
@@ -0,0 +1,41 @@
+<?php
+//ADMIN
+$lang['addinfousers_h2'] = 'Hantera ytterligare användarinformation';
+$lang['addinfousers_complete'] = 'Ytterligare information';
+
+//onglet explication
+$lang['addinfousers_explication'] = 'Presentation';
+$lang['addinfousers_explication_help'] = 'Den här insticksmodulen låter dig lägga till 7 ytterligare informationselement för registrering och användarprofiler';
+$lang['addinfousers_explication_update_non'] = 'Ersättning av Namn, Förnamn, ..., INFO6, INFO7';
+$lang['addinfousers_explication_update_non_help'] = 'För detta ska du lägga till i din språkprofil:<br>
+$lang[\'addinfousers_info1\'] = \'beskrivning du vill ha för infos1\'; <br>
+$lang[\'addinfousers_info2\'] = \'beskrivning du vill ha för infos2\'; <br>
+$lang[\'addinfousers_info3\'] = \'beskrivning du vill ha för infos3\'; <br>
+$lang[\'addinfousers_info4\'] = \'beskrivning du vill ha för infos4\'; <br>
+$lang[\'addinfousers_info5\'] = \'beskrivning du vill ha för infos5\'; <br>
+$lang[\'addinfousers_info6\'] = \'beskrivning du vill ha för infos6\'; <br>
+$lang[\'addinfousers_info7\'] = \'beskrivning du vill ha för infos7\'; <br>
+';
+
+$lang['addinfousers_explication_cache_info'] = 'Dölj information som inte används';
+$lang['addinfousers_explication_cache_info_help'] = 'Du kan dölja den här informationen för att lägga till din lokala CSS fil:<br> [1]
+dölj info 1 : #addinfouser_1 {display:none} <br>
+dölj info 2 : #addinfouser_2 {display:none} <br>
+dölj info 3 : #addinfouser_3 {display:none} <br>
+dölj info 4 : #addinfouser_4 {display:none} <br>
+dölj info 5 : #addinfouser_5 {display:none} <br>
+dölj info 6 : #addinfouser_6 {display:none} <br>
+dölj info 7 : #addinfouser_7 {display:none} <br>
+';
+
+//onglet addinfo et admin info
+$lang['addinfousers_info1'] = 'Namn';
+$lang['addinfousers_info2'] = 'Förnamn';
+$lang['addinfousers_info3'] = 'Adress';
+$lang['addinfousers_info4'] = 'Land';
+$lang['addinfousers_info5'] = 'INFO5';
+$lang['addinfousers_info6'] = 'INFO6';
+$lang['addinfousers_info7'] = 'INFO7';
+
+
+?>