Index: extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12689)
@@ -22,6 +22,6 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_adminconfmailTitle_d'] = 'You can disable this validation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
-By activating this option, email validation for registration will be sent to each user created by admin.<br><br>
+$lang['UAM_adminconfmailTitle_d'] = 'You can disable this confirmation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
+By activating this option, email confirmation for registration will be sent to each user created by admin.<br><br>
 By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled).';
 // --------- End: New or revised $lang ---- from version 2.14.0
@@ -49,11 +49,11 @@
 A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
 <br><br>
-<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.
+<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking confirmations&quot; tab.
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
-The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>
-When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration.<br><br>
-In all cases, it is possible to manually force the validation.<br><br>
+$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose confirmation of registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
+The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the confirmation key is still valid and we can send an email with or without a new confirmation key.<br><br>
+When the registration date appears in red, the confirmation period has expired. In this case, you must send an email with regeneration of confirmation key if you want to enable the user to validate their registration.<br><br>
+In all cases, it is possible to manually force the confirmation.<br><br>
 In this view, you can:
 <br><br>
@@ -62,7 +62,7 @@
 - Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
 <br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for confirmation.
+<br>
+- Submit a registration awaiting confirmation manually even if the expiry date has passed <b>(forcing confirmation)</b>.
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
@@ -75,10 +75,8 @@
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
 $lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
-In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
-Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
-<br>
-<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.<br><br>
+In second case, <b><u>there is no confirmation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;confirmation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for confirmation of registration limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual confirmation is enabled.</b>
 <br><br>
 This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
@@ -97,8 +95,4 @@
 - Automated management : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
 <b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
-$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
-Examples :<br>
-@hotmail.com -> excluding addresses *@hotmail.com<br>
-@hotmail -> excluding all addresses *@hotmail*';
 $lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
 <br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
@@ -109,5 +103,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.
+$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of confirmation key email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the confirmation link will expire.
 <br><br>
 This option is used in conjunction with the &quot;Confirmation of registration&quot;
@@ -116,14 +110,14 @@
 $lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
 <br><br>
-2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.
-<br><br>
-Refer to the &quot;Tracking validations&quot; tab.
-<br><br>
-If this option and the option &quot;Deadline for registration validation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+2 types of emails can be sent: With or without regeneration of the confirmation key. As appropriate, the content of emails can be customized.
+<br><br>
+Refer to the &quot;Tracking confirmations&quot; tab.
+<br><br>
+If this option and the option &quot;Deadline for registration confirmation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
 $lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
 <br><br>
-- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
-<br><br>
-- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of confirmation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
 $lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 $lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
@@ -154,19 +148,19 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.
-<br><br>
-If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the confirmation key regenerated.
+<br><br>
+If left blank, the mail reminder will include only the confirmation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a confirmation key regenerated.
 <br><br>
 If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
@@ -176,5 +170,5 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited; have to be enabled).
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited; have to be enabled).
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
@@ -246,7 +240,7 @@
 $lang['UAM_confirmTitle_d'] = '
 - Information email generation<br>
-- Register validation email generation<br>
+- Register confirmation email generation<br>
 - Groups, status or privacy level auto joining<br>
-- Deadline for registration validation<br>
+- Deadline for confirmation of registration<br>
 - Reminder email generation<br>
 ...
@@ -254,17 +248,17 @@
 $lang['UAM_confirmgrpTitle'] = 'Groups';
 $lang['UAM_confirmstatTitle'] = 'Statutes';
-$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using groups on validation requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using groups on confirmation requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
 The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of statuses on validation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
+$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of statuses on confirmation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
 The Statutes are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
 $lang['UAM_confirmlevelTitle'] = 'Privacy level';
 $lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of privacy level requires that you have used them with your pictures. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
 The privacy level is validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group, status or privacy level is like a demotion of the accounts involved and working on the same principle as the group, status or privacy level of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group, status and / or level demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status / level.<br><br>
+$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group, status or privacy level is like a demotion of the accounts involved and working on the same principle as the group, status or privacy level of confirmation (see &quot;Setting confirmations of registration&quot;). Therefore be to define a group, status and / or level demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status / level.<br><br>
 <b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
 $lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status / privacy level change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
-<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
-<br><br>
-Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br>To do this, a link to reconfirmation of registration is attached to the email (automatic generation of a new confirmation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>
+Enter the custom text that also explain the reasons for the demotion, to accompany the confirmation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
 <br><br>
 Further customize the content with special inserted tags:<br>
@@ -306,8 +300,17 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.2
 $lang['UAM_RejectConnexion_d'] = 'If activated, new registered users who have not validate their registration won\'t be able to connect to the gallery. They will be redirected to a special page to inform them of this state.<br><br>
-<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with validation groups! See below to set the groups as required.</b>';
+<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with confirmation groups! See below to set the groups as required.</b>';
 $lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Customize here your explanation text for inform unvalidated users that they won\'t be able to connect the gallery until they have validate their registration.
 <br><br>
 This field is compatible with the FCK Editor and, for multi-languages, you can use the [lang] tags of the Extended description plugin if it\'s active.';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
+Examples :<br>
+@hotmail.com -> excluding addresses *@hotmail.com<br>
+@hotmail -> excluding all addresses *@hotmail*<br><br>
+<b style=&quot;color: red;&quot;>Warning - This feature works only if emails are mandatory for registrations! Please see Piwigo\'s configuration options.</b>';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12689)
@@ -31,8 +31,8 @@
 $lang['UAM_empty_pwd'] = '[empty password]';
 $lang['UAM_no_update_pwd'] = '[profile updated without password changed]';
-$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
-$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to validation';
-$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
+$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to confirmation';
+$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to confirmation';
+$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to confirmation';
+$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to confirmation';
 
 
@@ -125,9 +125,9 @@
 $lang['UAM_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
 $lang['UAM_Validated_Status'] = 'Status for users who have validated their registration<br>';
-$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration confirmation limited';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
 $lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of confirmation key.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of confirmation key.';
 
 $lang['UAM_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
@@ -136,9 +136,9 @@
 $lang['UAM_LastVisit'] = ' Tracking registered users';
 
-$lang['UAM_Tab_UserManager'] = 'Tracking validations';
+$lang['UAM_Tab_UserManager'] = 'Tracking confirmations';
 
 /* UserManager Tab */
-$lang['UAM_SubTitle3'] = 'Tracking validations';
-$lang['UAM_UserManager_Title'] = 'Tracking validations';
+$lang['UAM_SubTitle3'] = 'Tracking confirmations';
+$lang['UAM_UserManager_Title'] = 'Tracking confirmations';
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
@@ -155,6 +155,6 @@
 /* Mailing */
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, this is a reminder email';
-$lang['UAM_Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
-$lang['UAM_Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, your confirmation key has been renewed';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, your confirmation key will expire';
 /* Errors and Warnings */
 $lang['UAM_Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
@@ -173,5 +173,5 @@
 $lang['UAM_LastVisit_Date'] = 'Last visit';
 $lang['UAM_Nb_Days'] = 'Difference in days';
-$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -185,7 +185,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual validation';
-$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
-$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+$lang['UAM_Force_Validation'] = 'Manual confirmation';
+$lang['UAM_Confirm_Mail_true'] = ' Enable - Confirmation by user';
+$lang['UAM_Confirm_Mail_local'] = ' Enable - Confirmation by admin (no confirmation key sent)';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -200,11 +200,11 @@
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the chosen configuration:
 <br><br>
-"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
+"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations of registration > Confirmation of registration - Confirmation by user" is not enabled at first.
 <br><br>
 To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
 <br><br>';
 $lang['UAM_Demotion of %s'] = 'Demotion of %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
-$lang['UAM_Validation of %s'] = 'Validation of %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual confirmation of registration';
+$lang['UAM_Validation of %s'] = 'Confirmation of %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
@@ -249,5 +249,5 @@
                 <li>Go to tab "Add a new module"</li>
                 <li>Choose "UAM Module"</li>
-                <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Configure the module, indicating the title (eg "Registration pending confirmation") and its description, and only check "Waiting" in the list of groups allowed</li>
                 <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
                 <li>Check "Display the module on the homepage of the site"</li>
@@ -260,5 +260,5 @@
           <ul>
             <li>
-            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            Goals: Inform the visitor that the registration is awaiting confirmation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
             <br><br>
             Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
@@ -322,10 +322,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.11
-$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration validation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration confirmation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
 // --------- End: New or revised $lang ---- from version 2.20.11
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.30.0
-$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
+$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the confirmation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
 $lang['UAM_Confirm_Group'] = 'Groups<br>(leave ------- to not affect group)';
 $lang['UAM_Confirm_Status'] = 'Statutes<br>(leave ------- to keep the Piwigo\'s default)';
@@ -351,5 +351,5 @@
 $lang['UAM %d user pwdreseted'] = 'Password renewal required for %d user';
 $lang['UAM %d users pwdreseted'] = 'Password renewal required for %d users';
-$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration validation limited is active. Refer to the text field in red to correct the problem.';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration confirmation limited is active. Refer to the text field in red to correct the problem.';
 $lang['UAM_Default_InfoMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
 
@@ -376,10 +376,10 @@
 $lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
 		
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again x days to validate your registration.
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key has expired. To still allow you to access to our gallery, your confirmation period has been reset. You have again x days to validate your registration.
 
 Note: After this period, your account will be permanently deleted.';
 $lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
 
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
 
 Note: After this period, your account will be permanently deleted.';
@@ -407,11 +407,16 @@
 $lang['UAM_RedirToProfile'] = 'Redirect to Customization page';
 $lang['UAM_Title1'] = 'Restrictions for registrations';
-$lang['UAM_Title2'] = 'Confirmations and validations of registration';
+$lang['UAM_Title2'] = 'Confirmations of registration';
 $lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status / privacy level';
 $lang['UAM_NewFeature'] = 'New feature !';
 $lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is validated';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your validation. If not, please contact the webmaster.';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your confirmation. If not, please contact the webmaster.';
 $lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_MailExclusion_No'] = 'Email domains exclusion - Not available because emails are not mandatory for registrations !';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>