Index: trunk/language/vi_VN/admin.lang.php
===================================================================
--- trunk/language/vi_VN/admin.lang.php	(revision 12682)
+++ trunk/language/vi_VN/admin.lang.php	(revision 12693)
@@ -57,5 +57,4 @@
 $lang['Apply to sub-albums'] = 'Áp dụng cho các đề mục nhỏ';
 $lang['Associated'] = 'Được kết hợp';
-$lang['Batch management'] = 'Quản lý nhóm';
 $lang['Caddie management'] = 'Quản lý Caddie ';
 $lang['Caddie'] = 'Caddie';
@@ -190,5 +189,4 @@
 $lang['Virtual album deleted'] = 'Đề mục ảo đã bị xoá';
 $lang['Access type'] = 'Kiểu truy cập';
-$lang['Comments'] = 'Lời bình';
 $lang['Information data registered in database'] = 'Dữ liệu thông tin đã thêm vào cơ sở dữ liệu';
 $lang['Default display'] = 'Hiển thị theo mặc định';
@@ -212,5 +210,4 @@
 $lang['group "%s" deleted'] = 'nhóm người dùng tên "%s" đã được xoá';
 $lang['group "%s" updated'] = 'nhóm người dùng tên "%s" đã được cập nhật';
-$lang['group'] = 'nhóm người dùng';
 $lang['The name of a group must not contain " or \' or be empty.'] = 'Tên của nhóm người dùng không có ký tự "\' hoặc bỏ trống.';
 $lang['This name is already used by another group.'] = 'Tên nhóm đã được đặt cho nhóm người dùng trước đó.';
@@ -327,10 +324,9 @@
 $lang['Local'] = 'Cục bộ';
 $lang['Remote'] = 'Từ xa';
-$lang['synchronize'] = 'đồng bộ hóa';
 $lang['update the database from files'] = 'cập nhật cơ sở dữ liệu từ file';
 $lang['status'] = 'trạng thái';
 $lang['Directory'] = 'Thư mục';
 $lang['sub-albums'] = 'đề mục con';
-$lang['synchronize metadata'] = 'đồng bộ hóa metadata';
+$lang['Synchronize metadata'] = 'đồng bộ hóa metadata';
 $lang['target'] = 'mục tiêu';
 $lang['Thumbnail'] = 'Hình thu nhỏ';
@@ -736,5 +732,5 @@
 $lang['last import'] = 'lần nhập hình cuối';
 $lang['with no virtual album'] = 'với không album nào';
-$lang['duplicates'] = 'trùng';
+$lang['Duplicates'] = 'trùng';
 $lang['Add a filter'] = 'thêm bộ lọc';
 $lang['Remove all filters'] = 'Bỏ tất cả các bộ lọc';
@@ -811,6 +807,4 @@
 $lang['Dump Database'] = 'Kết xuất Cơ sở dữ liệu';
 $lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Bao gồm dữ liệu lược sử (Cảnh báo: giới hạn bộ nhớ máy chủ có thể bị vượt quá)';
-$lang['Unable to write new local directory.'] = 'Không thể ghi vào thư mục cục bộ mới.';
-$lang['Unable to send template directory.'] = 'Không thể gửi đi thư mục khuôn mẫu.';
 $lang['Unable to dump database.'] = 'Không thể kết xuất cơ sở dữ liệu.';
 $lang['Some upgrades are available for extensions.'] = 'Một số bản nâng cấp có thể áp dụng được cho các thành phần mở rộng.';
Index: trunk/language/vi_VN/common.lang.php
===================================================================
--- trunk/language/vi_VN/common.lang.php	(revision 12682)
+++ trunk/language/vi_VN/common.lang.php	(revision 12693)
@@ -55,5 +55,4 @@
 $lang['Any tag'] = 'Tất cả các tag';
 $lang['At least one listed rule must be satisfied.'] = 'Ít nhất một điều khoản nêu trên phải được đáp ứng.';
-$lang['At least one tag must match'] = 'Ít nhất phải có một tag trùng nhau';
 $lang['Author'] = 'Tác giả';
 $lang['Albums'] = 'Đề mục';
@@ -255,5 +254,5 @@
 $lang['Search for Author'] = 'Tìm kiếm theo tác giả';
 $lang['Search in albums'] = 'Tìm kiếm trong các đề mục';
-$lang['Search by Date'] = 'Tìm kiếm theo ngày tháng';
+$lang['Search by date'] = 'Tìm kiếm theo ngày tháng';
 $lang['Date'] = 'Ngày tháng';
 $lang['End-Date'] = 'Ngày kết thúc';
@@ -261,7 +260,6 @@
 $lang['Search for words'] = 'Tìm kiếm theo từ';
 $lang['Search for all terms'] = 'Tìm kiếm tất cả các mục ';
-$lang['Search for any terms'] = 'Tìm kiếm mọi mục';
+$lang['Search for any term'] = 'Tìm kiếm mọi mục';
 $lang['Empty query. No criteria has been entered.'] = 'Truy vấn xác định. Không có từ khoá nào được nhập';
-$lang['Search Options'] = 'Tuỳ chọn tìm kiếm';
 $lang['Search results'] = 'Kết quả tìm kiếm';
 $lang['Search in sub-albums'] = 'Tìm kiếm trong các mục nhỏ';